function J = eulerang(phi,theta,psi)

    cphi = cos(phi);
    sphi = sin(phi);
    cth  = cos(theta);
    sth  = sin(theta);
    cpsi = cos(psi);
    spsi = sin(psi);

    J1 = [...
       cpsi*cth  -spsi*cphi+cpsi*sth*sphi  spsi*sphi+cpsi*cphi*sth
       spsi*cth  cpsi*cphi+sphi*sth*spsi   -cpsi*sphi+sth*spsi*cphi
       -sth      cth*sphi                  cth*cphi ];

    if cth==0, error('J2 is singular for theta = +-90 degrees'); end

    J2 = [...
          1  sphi*sth/cth  cphi*sth/cth;
          0  cphi          -sphi;
          0  sphi/cth      cphi/cth ];

    J = [ J1  zeros(3,3);
          zeros(3,3) J2 ];
end