function k_tot = vertical_stiffness(Xmas)
m_module= Xmas.Mass;         %Mass of module [kg]
V_module= Xmas.Volume;            %Volume of module  [m^3]
A_proj = Xmas.Length *Xmas.Height;             %Projected Area of mudule [m^2]
Cdx_module = 0.8;        %Horizontal drag Coefficient of module [-]

Cd_cable = 1.0;          %Drag Coefficient og cable [-]
D_cable = 0.1*Xmas.Scale;           %Diameter of cable [m]
E_cable = 7*10^10;       %Modulus of elasticity of cable material [N/m^2]
rho_cable = 8000;        %Density of cable material [kg/m^3]
U_current = 0.15;        %Current velocity [m/s]

g = 9.81;                %Gravitational acceleration
rho_water = 1025;        %Density of salt water
L = 200; 

A_cable = 0.25*D_cable^2 * pi;

%Submerged weight of module
W0 = m_module*g - rho_water*g*V_module; 
%mass of cable per unit length
m = D_cable^2 *pi*0.25 * g *(rho_cable); 
%Submerged wight of cable per unit lenght
w =  m - D_cable^2 *pi*0.25 * g *(rho_water); 


%Drag force per unit length of cable
q = 0.5 * rho_water * Cd_cable * D_cable * U_current^2; 

%current force on module
Fd0 = 0.5* rho_water * Cdx_module*A_proj*U_current^2; 


k_g_inv = -(q^2/w^3)*(log( ((W0/(w*L))/(W0/(w*L) +1))) + 0.5*((2*(W0/(w*L))+3))/((W0/(w*L)+1)^2)) ...
    + (q/(w^2)) * (Fd0/W0) *(1/((W0/(w*L) +1)^2))...
    + (1/w)*((Fd0/W0)^2) * ((W0/(w*L) + 0.5)/((W0/(w*L) +1)^2));
k_E_inv =(L/(E_cable*A_cable));

k_g = 1/k_g_inv;
k_E = 1/k_E_inv;
k_tot = 1/(k_g_inv + k_E_inv);